#include "debug.h"
/*
Different values for the variable mutant_level will trigger different
kinds of mutant behaviours:

mutant_level 
	0				 Don't act as a mutant!
	1				 UDU 
	2				 PDU 
	4				 Multiple 
	8				 Until n 
	16				 Bag 
	m_LOOSE = 32	Loose
	64				 Reset
*/

int mutant(int v)
{
  switch (mutant_level)
  {
    case 100: /* No indirect join-PDU! */
    case 111: /* No indirect anwer-PDU! */
    case 214: /* No indirect leave at sendtask! */
    case 462: /* No indirect New at sendtask! (Partner is not added to partner set.)*/
    case 749: /* Sendtask:JOIN: No conference update... */
    case 674: /* Sendtask:JOIN: No broadcast */
    case 548: /* Sendtask:DATAREQ: No broadcast */
    case 945: /* Sendtask:LEAVE: Receive task no notified of leave... */
    case 345: /* Sendtask:LEAVE: Conference is not updated... */
    case 332: /* Sendtask:LEAVE: Partner set not cleared... */
    case 687: /* Sendtask:LEAVE: Leave-Pdu not send to partners. */
    case 348: /* Sendtask: Indirect new partner is not added to conference set */
      Debug(Mutant,"Mutant(%d)",v);
      return(1);
      break;
    default:
      return(0);
  }
}
